Package ghidra.trace.database.target

# Record Class CachePerDBTraceObject.Cached<T>

java.lang.Object
java.lang.Record
ghidra.trace.database.target.CachePerDBTraceObject.Cached<T>

Enclosing class:
  `CachePerDBTraceObject`

public static record CachePerDBTraceObject.Cached<T>(boolean isMiss, T value) extends Record

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Cached(boolean isMiss, T value)`
  Creates an instance of a `Cached` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `boolean`
  `isMiss()`
  Returns the value of the `isMiss` record component.
  `static <T> CachePerDBTraceObject.Cached<T>`
  `miss()`
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `T`
  `value()`
  Returns the value of the `value` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Cached

    public Cached(boolean isMiss, T value)
    Creates an instance of a `Cached` record class.
    Parameters:
      `isMiss` - the value for the `isMiss` record component
      `value` - the value for the `value` record component

- ## Method Details

  - ### miss

    public static <T> CachePerDBTraceObject.Cached<T> miss()

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### isMiss

    public boolean isMiss()
    Returns the value of the `isMiss` record component.
    Returns:
      the value of the `isMiss` record component

  - ### value

    public T value()
    Returns the value of the `value` record component.
    Returns:
      the value of the `value` record component